Bug 648659 - (CVE-2010-4074) CVE-2010-4074 kernel: drivers/usb/serial/mos*.c: reading uninitialized stack memory
CVE-2010-4074 kernel: drivers/usb/serial/mos*.c: reading uninitialized stack ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100915,reported=20101006,sou...
: Security
Depends On: 648696 648697 648698
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 17:17 EDT by Petr Matousek
Modified: 2015-08-31 23:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-01 17:17:36 EDT
Description of problem:
The TIOCGICOUNT device ioctl in both mos7720.c and mos7840.c allows unprivileged users to read uninitialized stack memory, because the "reserved" member of the serial_icounter_struct struct declared on the stack is not altered or zeroed before being copied back to the user.

Reference:
http://www.openwall.com/lists/oss-security/2010/10/06/6
http://lkml.org/lkml/2010/9/15/392

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 2 Petr Matousek 2010-11-02 06:42:38 EDT
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4, and 5 as they did not include support for Moschip USB
serial port adapters.
Comment 3 Eugene Teo (Security Response) 2010-11-04 03:54:00 EDT
Upstream commit:
http://git.kernel.org/linus/a0846f1868b11cd827bdfeaf4527d8b1b1c0b098
Comment 4 errata-xmlrpc 2010-12-08 14:09:54 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html
Comment 5 errata-xmlrpc 2011-01-11 14:46:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html

Note You need to log in before you can comment on or make changes to this bug.